// sass-lint:disable-all

.mktoForm[data-styles-ready="true"] {
	visibility: visible;
}

input,
select,
textarea,
fieldset {
  border-radius: $border-radius-large;
  border: 1px solid $color-gray-medium;
  font-size: 16px;
  padding: 8px 12px;
  background-color: $color-white;

  &:focus {
    outline: 0;
    border: 1px solid $color-primary;
  }
}

.js-search {
	border: 1px solid transparent;

	&:focus {
		border: 1px solid transparent;
	}
}

fieldset {
	padding: 20px 30px;
  padding-top: 4px;
}

input[type=checkbox] {
  width: 18px;
  height: 18px;
  flex-shrink: 0;
  margin: 0 2px;
}

select {
  height: 42px;
}

.mktoForm,
.mktoFormRow,
.mktoFieldDescriptor,
.mktoFieldWrap,
.mktoField {
  width: 100%;
}

.mktoLabel,
.mktoFieldWrap {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
}

.mktoForm {
	visibility: hidden;
  font-family: inherit;
  font-size: 14px;
  max-width: 560px;
	margin: auto;

  .mktoFormRow:not(:first-child) {

    .mktoFieldDescriptor,
		fieldset,
		.mktoHtmlText {
      margin-top: 16px;
    }
  }
}

// error stuff

.mktoErrorMsg {
  color: $color-red;
  margin: 4px 0;
}

.mktoInvalid {
  border: 1px solid $color-red;
}

 // end

.mktoButtonRow {
  margin-top: 24px;

  .mktoButtonWrap {

    button {
      appearance: none;
      border-radius: $border-radius-large;
      color: $color-white;
      padding: $input-padding;
      background: $color-primary;
      min-width: 120px;
      font-size: 16px;
      border: 0;
    }
  }
}

.mktoLabel {
  color: $color-gray;
  font-weight: 600;
  line-height: 2.2em;
}

.mktoAsterix {
  display: none;
}

.mktoRequiredField {

  .mktoAsterix {
    display: block;
  }
}

// radio and checkbox lists

.mktoRadioList {
  display: flex;
  align-items: center;

  input[type=radio] {
    width: 18px;
    height: 18px;
    margin-left: 10px;
    margin-right: 4px;
  }
}

.mktoCheckboxList:not(.mktoRequired) {

  input[type=checkbox] {
    width: 58px;
    height: 30px;
    flex-shrink: 0;
    margin: 0;
    border: 0;
    background: $body-bg;
    border: 1px solid $color-gray-medium;
    appearance: none;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;

    &:focus {
      border: 1px solid $color-primary;
    }

    &::before {
      content: "Yes";
      position: absolute;
      width: 100%;
      color: $color-gray;
      text-align: center;
      font-size: 14px;
    }

    &:checked {
      background: $color-primary;
      border: 1px solid transparent;
      outline: 0;

      &::before {
        color: $color-white;
      }
    }
  }

	label {
		margin-left: 8px;
	}
}

.mktoCheckboxList {
  display: flex;
}

.mktoRequiredField {

  .mktoCheckboxList {
    margin-left: 2px;
  }
}

// end

.mktoAsterix {
  flex-shrink: 0;
}
